Summary:	QOI image pixbuf-loader for Gtk+
Name:		qoi-pixbuf-loader
Version:	1.1
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/gtk-pixbuf-loaders/
Source0:	qoi-pixbuf-loader-1.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	gdk-pixbuf2 xdg-utils
BuildRequires:	gdk-pixbuf2-devel gcc

%description 
BPG image pixbuf-loader plugin for Gtk+ provides read-only access to BPG images

%global debug_package %{nil}

%prep
%setup -c -n %{name}

%build
cd qoi-pixbuf-loader
make

%install
install -D qoi-pixbuf-loader/libpixbufloader-qoi.so %{buildroot}%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-qoi.so
install -D qoi-pixbuf-loader/vr5-qoi.xml %{buildroot}/usr/share/%{name}-%{version}/vr5-qoi.xml

%post
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache
xdg-mime install /usr/share/%{name}-%{version}/vr5-qoi.xml

%preun
xdg-mime uninstall /usr/share/%{name}-%{version}/vr5-qoi.xml

%postun
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache

%files 
%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-qoi.so
/usr/share/%{name}-%{version}/vr5-qoi.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Mon Nov 29 2021 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for qoi-pixbuf-loader
